package contact

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/contact"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /contact/update contact UpdateContact
//
// Update contact information | 更新Contact
//
// Update contact information | 更新Contact
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ContactInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateContactHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ContactInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := contact.NewUpdateContactLogic(r.Context(), svcCtx)
		resp, err := l.UpdateContact(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
